*-----------------------------------------------------------------------
      program test05

      parameter (nlat=6,nlon=3)

      integer   lat(nlat),lon(nlon),ist(3),icn(3),idx(3)
      real      wind(nlat,nlon)
      character cdsn*80

      data      lat /  10,  20,  30,  40,  50,  60 /
      data      lon /  20,  40,  60 /
      data      wind/ 0.1, 0.2, 0.3, 0.4, 0.5, 0.4,
     +                0.2, 0.3, 0.3, 0.4, 0.6, 0.5,
     +                0.1, 0.3, 0.3, 0.3, 0.5, 0.4 /

      data      ist / 1, 1, 2 /, icn / nlat, nlon, 1 /

      data      cdsn/'test05.cdf'/


*     / open netcdf file /

      call nxopen(ncdfid,cdsn,'c')

*     / define dimensions /

      call nxddef(ncdfid,'nlat',nlat)
      call nxddef(ncdfid,'nlon',nlon)
      call nxddef(ncdfid,'time',-999)

*     / define variables /

      call nxvdef(ncdfid,'flag','i')
      call nxvdef(ncdfid,'lat(nlat)','i')
      call nxvdef(ncdfid,'lon(nlon)','i')
      call nxvdef(ncdfid,'wind(nlat,nlon,time)','r')

*     / put attributes /

      call nxaptx(ncdfid,':date','i',1,19930129)
      call nxaptx(ncdfid,':imiss','i',1,-999)
      call nxaptx(ncdfid,':rmiss','r',1,-999.0)
      call nxaptx(ncdfid,':dmiss','d',1,-999.0D1)
      call nxaptc(ncdfid,':comment','c',14,'test wind data')
      call nxaptx(ncdfid,'lat:grid','i',nlat,lat)
      call nxaptc(ncdfid,'lat:unit','c',6,'degree')
      call nxaptx(ncdfid,'lon:grid','i',nlon,lon)
      call nxaptc(ncdfid,'lon:unit','c',6,'degree')
      call nxaptx(ncdfid,'wind:_FillValue','r',1,-999.0)

*     / leave define mode /

      call nxdefm(ncdfid,.false.)

*     / write data /

      call nxvp1x(ncdfid,'flag',0,1)
      do n=1,nlat
        call nxvp1x(ncdfid,'lat',n,lat(n))
      end do
      call nxvpnx(ncdfid,'lon',ist(2),icn(2),lon)
      call nxvpnx(ncdfid,'wind',ist,icn,wind)
      do i=1,nlat
        do j=1,nlon
          idx(1)=i
          idx(2)=j
          idx(3)=3
          call nxvp1x(ncdfid,'wind',idx,wind(i,j)*2)
        end do
      end do

*     / close netcdf file /

      call nxclos(ncdfid)

      end
